


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: GenerateReportCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: GenerateReportCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">GenerateReportCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 13)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.GenerateReportService;
<i>6</i>&nbsp;import com.dema.timeregistration.service.ProjectService;
<i>7</i>&nbsp;import com.dema.timeregistration.service.TaskService;
<i>8</i>&nbsp;import com.dema.timeregistration.service.models.CreateTaskRequest;
<i>9</i>&nbsp;
<i>10</i>&nbsp;import java.util.Set;
<i>11</i>&nbsp;
<i>12</i>&nbsp;public class GenerateReportCommand implements Command {
<i>13</i>&nbsp;    private final TaskService taskService;
<i>14</i>&nbsp;    private final ProjectService projectService;
<i>15</i>&nbsp;    private final ApplicationContext applicationContext;
<i>16</i>&nbsp;    private final GenerateReportService generateReportService;
<i>17</i>&nbsp;
<b class="nc"><i>18</i>&nbsp;    public GenerateReportCommand(TaskService taskService, ProjectService projectService, ApplicationContext applicationContext, GenerateReportService generateReportService) {</b>
<b class="nc"><i>19</i>&nbsp;        this.taskService = taskService;</b>
<b class="nc"><i>20</i>&nbsp;        this.projectService = projectService;</b>
<b class="nc"><i>21</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>22</i>&nbsp;        this.generateReportService = generateReportService;</b>
<b class="nc"><i>23</i>&nbsp;    }</b>
<i>24</i>&nbsp;
<i>25</i>&nbsp;    @Override
<i>26</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>27</i>&nbsp;        return &quot;Generate a report of a given project by using the following parameters:\n-c for the company owner of&quot; +</b>
<i>28</i>&nbsp;                &quot; the project\n-p for the project name\nExample of usage:\ngenerate-report -c \&quot;My Company\&quot; -p \&quot;My Project\&quot;&quot;;
<i>29</i>&nbsp;    }
<i>30</i>&nbsp;
<i>31</i>&nbsp;    @Override
<i>32</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>33</i>&nbsp;        return &quot;generate-report&quot;;</b>
<i>34</i>&nbsp;    }
<i>35</i>&nbsp;
<i>36</i>&nbsp;    @Override
<i>37</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>38</i>&nbsp;        return Utils.newHashSet(</b>
<i>39</i>&nbsp;                new Parameter(&quot;p&quot;), // project
<i>40</i>&nbsp;                new Parameter(&quot;c&quot;) // company
<i>41</i>&nbsp;        );
<i>42</i>&nbsp;    }
<i>43</i>&nbsp;
<i>44</i>&nbsp;    @Override
<i>45</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>46</i>&nbsp;        return CommandGroup.PROJECT_ADMINISTRATION;</b>
<i>47</i>&nbsp;    }
<i>48</i>&nbsp;
<i>49</i>&nbsp;    @Override
<i>50</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>51</i>&nbsp;        int projectId = projectService.getProjectId(parsedCommand.get(&quot;c&quot;), parsedCommand.get(&quot;p&quot;));</b>
<b class="nc"><i>52</i>&nbsp;        System.out.println(generateReportService.GenerateReport(projectId));</b>
<b class="nc"><i>53</i>&nbsp;    }</b>
<i>54</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
